package org.jeecg.modules.database.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.database.entity.ExperimentAnnealProcess;

import java.util.List;

/**
 * @Description: 退火过程
 * @Author: jeecg-boot
 * @Date: 2024-10-21
 * @Version: V1.0
 */
public interface IExperimentAnnealProcessService extends IService<ExperimentAnnealProcess> {
    List<ExperimentAnnealProcess> getByExperimentId(String experimentId);

    void assembleDetails(ExperimentAnnealProcess experimentAnnealProcess);

    void saveWithDetails(ExperimentAnnealProcess experimentAnnealProcess, String type);

    void copy(String oldId,String newExperimentId);
}
